package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

import com.ym.mec.common.entity.BaseEntity;

@ApiModel(value="com-domain-DegreeLevelFee")
public class DegreeLevelFee extends BaseEntity {
    @ApiModelProperty(value="")
    private Integer id;

    /**
    * 等级
    */
    @ApiModelProperty(value="等级")
    private Integer level;

    /**
    * 乐器考级费用
    */
    @ApiModelProperty(value="乐器考级费用")
    private BigDecimal grade;

    /**
    * 乐理费用
    */
    @ApiModelProperty(value="乐理费用")
    private BigDecimal theory;

    /**
    * 创建时间
    */
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /**
    * 修改时间
    */
    @ApiModelProperty(value="修改时间")
    private Date updateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public BigDecimal getGrade() {
        return grade;
    }

    public void setGrade(BigDecimal grade) {
        this.grade = grade;
    }

    public BigDecimal getTheory() {
        return theory;
    }

    public void setTheory(BigDecimal theory) {
        this.theory = theory;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", level=").append(level);
        sb.append(", grade=").append(grade);
        sb.append(", theory=").append(theory);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}
